Bug 1173486 - RPM verification reports vbetool.pp as missing
Summary: RPM verification reports vbetool.pp as missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 1180759
TreeView+ depends on / blocked
 
Reported: 2014-12-12 09:21 UTC by Tom Hughes
Modified: 2015-01-30 23:55 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1180759 (view as bug list)
Environment:
Last Closed: 2015-01-30 23:55:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Tom Hughes 2014-12-12 09:21:07 UTC
Description of problem:

Running "rpm -V selinux-policy-targeted" reports vbetool.pp as missing:

missing     /etc/selinux/targeted/modules/active/modules/vbetool.pp

It looks like the postinstall script removes it but then, unlike the other modules, it doesn't get recreated.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.13.1-99.fc21.noarch

Comment 1 Daniel Walsh 2015-01-02 16:56:03 UTC
We should no longer be shipping vbetool.pp.  I don't see this in Rawhide.

Comment 3 Tom Hughes 2015-01-02 17:05:02 UTC
Yes, it seems to be gone in rawhide, but it's still there in F21 except that it seems to get deleted by a post script or something as although listing the RPM sees it, it is still missing after reinstalling.

Comment 4 Robin Laing 2015-01-18 05:09:50 UTC
Will verify this as well.  Just going through my system and getting this error.  If vbetool.pp isn't shipping then there needs to be a change to the package.  It is still listed in selinux-policy-targeted.noarch 0:3.13.1-103.fc21 


[root@eagle1 ~]# rpm -ql selinux-policy-targeted 
/etc/selinux/targeted
/etc/selinux/targeted/.policy.sha512

...

/etc/selinux/targeted/modules/active/modules/usernetctl.pp
/etc/selinux/targeted/modules/active/modules/uucp.pp
/etc/selinux/targeted/modules/active/modules/uuidd.pp
/etc/selinux/targeted/modules/active/modules/varnishd.pp
/etc/selinux/targeted/modules/active/modules/vbetool.pp   *****
/etc/selinux/targeted/modules/active/modules/vdagent.pp
/etc/selinux/targeted/modules/active/modules/vhostmd.pp
/etc/selinux/targeted/modules/active/modules/virt.pp
/etc/selinux/targeted/modules/active/modules/vlock.pp
/etc/selinux/targeted/modules/active/modules/vmtools.pp
/etc/selinux/targeted/modules/active/modules/vmware.pp
/etc/selinux/targeted/modules/active/modules/vnstatd.pp
/etc/selinux/targeted/modules/active/modules/vpn.pp
/etc/selinux/targeted/modules/active/modules/w3c.pp

Comment 5 Fedora Update System 2015-01-27 16:50:09 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 6 Fedora Update System 2015-01-30 04:33:00 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-01-30 23:55:28 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.